CentOS 8 Container?

mattedj

New Member
Oct 9, 2019
3
0
1
47
Hy guys, after i made this two because of the centos 8 now i have problems with centos 6, creating unprivilaged get this error:

tar: ./etc/udev/devices/ttya8: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/zero: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/ttyab: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/kmem: Cannot mknod: Operation not permitted

after i made it privilaged, no network working on it, not able to ssh ...etc

so now i dont even know how to fix this
Hi there, can you confirm that this broke after you made the change to:
/usr/share/perl5/PVE/LXC/Setup/CentOS.pm
and if you switch it back to the previous version limit, it works again?
You could try unticking the unprivileged container box when you first setup you container.
 

Bidi

Active Member
Feb 12, 2016
72
1
28
32
Hi there, can you confirm that this broke after you made the change to:
/usr/share/perl5/PVE/LXC/Setup/CentOS.pm
and if you switch it back to the previous version limit, it works again?
You could try unticking the unprivileged container box when you first setup you container.
yes 100% sure, was working before the lxc server with centos 6, and one customer asked me for centos 8 and i had the same problem so i made this

sed -i 's/ < 8) {/ < 9) {/' /usr/share/perl5/PVE/LXC/Setup/CentOS.pm
systemctl restart pveproxy pvedaemon

and after 1 week made a server with centos 6 and done, not working, and i made the changes on 2 node servers :( and now both not working.

"and if you switch it back to the previous version limit, it works again? " how do i make this ?

"You could try unticking the unprivileged container box when you first setup you container." made this, network not working so i`m not able to ssh on it


Kernel Version

Linux 4.15.18-13-pve #1 SMP PVE 4.15.18-37 (Sat, 13 Apr 2019 21:09:15 +0200)

PVE Manager Version

pve-manager/5.4-13/aee6f0ec

 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
2,031
212
63
Anyone any news ? updates ? how can i reverse this ?
* which template are you using? (for both centos6 and centos8)

* output of pveversion -v

* configuration of container pct config CTID
 

RSA

New Member
Jul 28, 2019
2
0
1
43
Hi guys, i use Proxmox 5.4-3 and try to install Centos 8.
Code:
TASK ERROR: unable to create CT 101 - unsupported centos release 'CentOS Linux release 8.0.1905 (Core) '
but pve-container is already the newest version (2.0-37)
How to fix it ?
UPD: i try to fix by this instruction and all work right
 
Last edited:

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,490
584
133

mhaluska

New Member
Sep 23, 2018
15
2
3
i have some problem with update
Code:
root@lan:~# apt update
Ign:1 http://ftp.ru.debian.org/debian stretch InRelease
Get:2 http://ftp.ru.debian.org/debian stretch-updates InRelease [91.0 kB]
Get:3 http://security.debian.org stretch/updates InRelease [94.3 kB]
Hit:4 http://ftp.ru.debian.org/debian stretch Release                              
Ign:5 https://enterprise.proxmox.com/debian/pve stretch InRelease                  
Err:6 https://enterprise.proxmox.com/debian/pve stretch Release
  401  Unauthorized
Reading package lists... Done
E: The repository 'https://enterprise.proxmox.com/debian/pve stretch Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Read repository setup docs.
 

mhaluska

New Member
Sep 23, 2018
15
2
3

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!